#!/usr/bin/python
# -*- coding: UTF-8 -*-


##
## FLOZz Common: builder - Merge and minify the FLOZz Common CSS.
##
## copyright (c) 2013 Fabien LOISON <http://www.flogisoft.com/>
##
## this program is free software. it comes without any warranty, to
## the extent permitted by applicable law. you can redistribute it
## and/or modify it under the terms of the do what the fuck you want
## to public license, version 2, as published by sam hocevar. see
## http://sam.zoy.org/wtfpl/copying for more details. 
##
## WEBSITE AND DEMO: http://common.flogisoft.com/
##


"""FLOZz Common: builder - Merge and minify the FLOZz Common CSS.

USAGE:
    python builder.py <file1.css> [file2.css ...]

OUTPUT:
    This script outputs a "flozz-common.min.css" in the current directory

DEPENDENCIES:

    * cssmin
"""


import sys
import cssmin


if len(sys.argv) < 2:
    print(__doc__)
    sys.exit(1)

css = ""

for file_ in sys.argv[1:]:
    css += open(file_, "r").read() + "\n";

css = cssmin.cssmin(css)

css = """/*
 * FLOZz Common - A simple CSS collection.
 *
 * copyright (c) 2013 Fabien LOISON <http://www.flogisoft.com/>
 * 
 * this program is free software. it comes without any warranty, to
 * the extent permitted by applicable law. you can redistribute it
 * and/or modify it under the terms of the do what the fuck you want
 * to public license, version 2, as published by sam hocevar. see
 * http://sam.zoy.org/wtfpl/copying for more details. 
 *
 * WEBSITE AND DEMO: http://common.flogisoft.com/
 */

""" + css

output = open("flozz-common.min.css", "w")
output.write(css)
output.close()
